package com.prolog.cs.biz.outbound.service;

import com.prolog.cs.biz.outbound.model.OmsDoBillHDO;
import com.prolog.cs.biz.outbound.model.dto.PickTaskDDTO;
import com.prolog.cs.biz.outbound.model.vo.TaskParamsVO;

import java.util.List;

/**
 * @author zzz
 * @desc 拣选组包
 * @date 2022/1/4
 */
public interface PackService {

    void createPickTaskSpecial(List<TaskParamsVO> waveList);

    void specialPickTaskConfirm(List<OmsDoBillHDO> list);

    void createPickTask(List<TaskParamsVO> waveList, String type);

    void addPickTask(List<String> waveIdList);
}
